{if !$is_homepage}
    {if $cat.showrss}
        <table cellpadding="0" cellspacing="0" border="0">
            <tr>
			<td><h1 class="con_heading">{$pagetitle}</h1></td>
			<td valign="top" style="padding-left:6px">
                <div class="con_rss_icon">
                    <a href="/rss/content/{$cat.id}/feed.rss" title="{$LANG.RSS}"><img src="/templates/{template}/images/icons/rss.png" alt="{$LANG.RSS}"/></a>
                </div>
            </td>
        </table>
    {else}
        <h1 class="con_heading">{$pagetitle}</h1>
    {/if}

    {if $cat.description}
        <div class="con_description">{$cat.description}</div>
    {/if}
{/if}

{if $subcats}
	<div class="categorylist">
		{foreach key=tid item=subcat from=$subcats}
            <div class="subcat">
                <a href="{$subcat.url}" class="con_subcat">{$subcat.title}</a> ({$subcat.content_count})
                <div class="con_description">{$subcat.description}</div>
            </div>
		{/foreach}
	</div>
{/if}

{if $cat_photos}
    {if $cat_photos.album.title}
        <h3>{$cat_photos.album.title}</h3>
    {/if}
    {$fcol="1"}
    <table cellpadding="0" cellspacing="0" border="0">
        {foreach key=tid item=con from=$cat_photos.photos}
            {if $fcol==1} <tr> {/if}
            <td align="center" valign="middle" width="{math equation="100/x" x=$cat_photos.album.maxcols}%">
                <div class="photo_thumb" align="center">
                    <a class="lightbox-enabled" rel="lightbox-galery" href="/images/photos/medium/{$con.file}" title="{$con.title|escape:'html'}">
                        <img class="photo_thumb_img" src="/images/photos/small/{$con.file}" alt="{$con.title|escape:'html'}" />
                    </a><br />
                    <a href="/photos/photo{$con.id}.html" title="{$con.title|escape:'html'}">{$con.title|truncate:15}</a>
                </div>
            </td>
        {if $fcol==$cat_photos.album.maxcols} </tr> {$fcol="1"} {else} {$fcol=$fcol+1} {/if}
        {/foreach}
        {if $fcol>1}
            <td colspan="{math equation="y - x + 1" x=$fcol y=$cat_photos.album.maxcols}">&nbsp;</td></tr>
        {/if}
   </table>
{/if}

{if $articles}
	<div class="contentlist contentlist-video">
        {foreach key=tid item=article from=$articles}
            <div class="contentlist-video-item">
                <div class="con_title">
                    <a href="{$article.url}" class="con_titlelink">{$article.title}</a>
                </div>
                {if $cat.showdesc}
                    <div class="con_desc">
                        {if $article.image}
                            <div class="con_image">
                                <img src="/images/photos/medium/{$article.image}" alt="{$article.title|escape:'html'}"/>
                            </div>
                        {/if}
                    </div>
                {/if}

                {if $cat.showcomm || $showdate || ($cat.showtags && $article.tagline)}
                    <div class="con_details">
                        {if $showdate}
                            {$article.fpubdate} - <a href="{profile_url login=$article.user_login}" style="color:#666">{$article.author}</a>
                        {/if}
                        {if $cat.showcomm}
                            {if $showdate} | {/if}
                            <a href="{$article.url}" title="{$LANG.DETAIL}">{$LANG.DETAIL}</a>
                            | <a href="{$article.url}#c" title="{$LANG.COMMENTS}">{$article.comments|spellcount:$LANG.COMMENT1:$LANG.COMMENT2:$LANG.COMMENT10}</a>
                        {/if}
                         | {$article.hits|spellcount:$LANG.HIT:$LANG.HIT2:$LANG.HIT10}
                        {if $cat.showtags && $article.tagline}
                            {if $showdate || $cat.showcomm} <br/> {/if}
                            {if $article.tagline} <strong>{$LANG.TAGS}:</strong> {$article.tagline} {/if}
                        {/if}
                    </div>
                {/if}
            </div>
		{/foreach}
	</div>
	{$pagebar}
{/if}

<div id="modal-video-modal" style="display: none; opacity: 1;">
    <div class="modal-video-title"></div>
    <a href="javascript:void(0)" class="modal-close">×</a>
    <div>
        <div id="Youtube-video-popup"></div>
    </div>
</div>
<div class="modal-overlay"></div>

<style>
.contentlist.contentlist-video {
    display: table;
    font-size: 0;
}

.contentlist.contentlist-video .contentlist-video-item {
    width: 47%;
    display: inline-block;
    vertical-align: top;
    padding: 1%;
    background-color: #ECECEC;
    margin-bottom: 20px;
    font-size: 12px;
}

.contentlist.contentlist-video .contentlist-video-item img {
    max-width: 100%;
    height: auto;
    padding: 0;
    border: 0;
    margin: 0;
    display: block;
}

.contentlist.contentlist-video .contentlist-video-item:nth-child(odd) {
    margin-right: 2%;
}

.contentlist.contentlist-video .contentlist-video-item .con_image {
    padding: 0;
    border: 0;
    margin: 0;
    float: none;
}

.contentlist.contentlist-video .contentlist-video-item .con_details {
    display: inline-block;
    padding: 15px 0px 5px 0;
    margin: 0;
    clear: both;
    background-color: #ECECEC;
}

.contentlist.contentlist-video .contentlist-video-item .con_title {
    font-weight: bold;
    font-size: 16px;
    background-color: #0099CC;
    padding: 10px 20px;
    margin: 0;
}

.contentlist.contentlist-video .contentlist-video-item .con_title a {
    color: #fff;
    text-decoration: none;
}

.contentlist.contentlist-video .contentlist-video-item .con_title a:hover {
    text-decoration: underline;
}

.contentlist.contentlist-video .contentlist-video-item .con_image > a {
    display: block;
    position: relative;
    -webkit-transition-duration: 0.5s;
    -o-transition-duration: 0.5s;
    transition-duration: 0.5s;
}

.contentlist.contentlist-video .contentlist-video-item .con_image > a:before {
    content: "";
    background: rgba(255,255,255,0);
    position: absolute;
    top: 0;
    left: 0;
    bottom: 0;
    right: 0;
    -webkit-transition-duration: 0.5s;
    -o-transition-duration: 0.5s;
    transition-duration: 0.5s;
}

.contentlist.contentlist-video .contentlist-video-item .con_image > a:after {
    content: "";
    background: url(/templates/_default_/images/playvideo.png);
    display: block;
    position: absolute;
    height:65px;
    width:65px;
    top:50%;
    left:50%;
    margin-left:-32px;
    margin-top:-32px;
    opacity:0;
    -webkit-transition-duration: 0.5s;
    -o-transition-duration: 0.5s;
    transition-duration: 0.5s;
}

.contentlist.contentlist-video .contentlist-video-item .con_image > a:hover:before {
    content: "";
    background: rgba(255,255,255,0.6);
    -webkit-transition-duration: 0.5s;
    -o-transition-duration: 0.5s;
    transition-duration: 0.5s;
}

.contentlist.contentlist-video .contentlist-video-item .con_image > a:hover:after {
    content: "";
    opacity:1;
    -webkit-transition-duration: 0.5s;
    -o-transition-duration: 0.5s;
    transition-duration: 0.5s;
}

.contentlist.contentlist-video .contentlist-video-item .con_image > a.hover:before {
    content: "";
    background: rgba(0,0,0,0.6);
    -webkit-transition-duration: 0.5s;
    -o-transition-duration: 0.5s;
    transition-duration: 0.5s;
}

.contentlist.contentlist-video .contentlist-video-item .con_image > a.hover:after {
    content: "";
    opacity:1;
    -webkit-transition-duration: 0.5s;
    -o-transition-duration: 0.5s;
    transition-duration: 0.5s;
}

.modal-overlay {
    background: rgba(0, 0, 0, 0.9);
    display: none;
    position: fixed;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    z-index: 100;
}

.modal-video-title {
    display: inline-block;
    float: left;
    margin-top: 2px;
    color: #fff;
    font-size: 21px;
}

.con_text .con_image img {
    max-width: 300px;
    height: auto;
}

#modal-video-modal {
    display: none;
    background: #0099CC;
    position: absolute;
    top: 50%;
    left: 50%;
    z-index: 120;
    width: 640px;
    min-height: 400px;
    padding: 10px;
}

#modal-video-modal > a.modal-close {
    text-decoration: none;
    float: right;
    margin: 0 0 10px 10px;
    background-color: #fff;
    width: 30px;
    height: 30px;
    text-align: center;
    line-height: 30px;
    border-radius: 50%;
    font-size: 18px;
    color: #0099CC;
    border: 2px solid #fff;
    -webkit-transition-duration: 0.5s;
    -o-transition-duration: 0.5s;
    transition-duration: 0.5s;
}

#modal-video-modal > a.modal-close:hover {
    color:#fff;
    background-color: transparent;
    border-color: #fff;
}

</style>

<script>
$(document).ready(function() {
    $('.contentlist-video-item .con_image img').unwrap();
    $('.contentlist-video-item .con_image img').wrap('<a href="javascript:void(0)" data-modal-target="#modal-video-modal" class="open-in-modal"></a>');
    $(function() {
        $(document).on('click', '[data-modal-target]', function() {
            $('.modal-overlay').fadeIn(300, 0);
            var anchor = $(this).attr('data-modal-target');
            modalPos(anchor);
            $(anchor).fadeIn(300, 0);
            var title = $(this).parents('.contentlist-video-item').find('.con_title a').html();
            $('.modal-video-title').html(title);
        });

        $(document).keyup(function(e) {
            if (e.keyCode == 27) {
                hideModal();
            }
        });

        $('.modal-close').click(function() {
            hideModal();
        });

        $('.modal-overlay').click(function() {
            hideModal();
        });

        function hideModal() {
            $('.modal-overlay, #modal-video-modal').fadeOut(300, 0);
            $('#Youtube-video-popup iframe').remove();
        };

        function modalPos(anchor) {
            modalWidth = $(anchor).outerWidth(true);
            modalHeight = $(anchor).outerHeight(true);
            $(anchor).css("top", ($(window).height() - modalHeight) / 2 + $(window).scrollTop() + "px");
            $(anchor).css("left", ($(window).width() - modalWidth) / 2 + $(window).scrollLeft() + "px");
        }
    });

    $(document).on('click', '[data-modal-target]', function() {
        var video_youtube_code = $(this).parents(".contentlist-video-item").find("span.video_youtube_code").text();
        console.log(video_youtube_code);
        var createdYoutubeFrame = '<iframe width="640" height="400" src="https://www.youtube.com/embed/' + video_youtube_code + '?autoplay=1" frameborder="0" allowfullscreen></iframe>';
        $('#Youtube-video-popup').html(createdYoutubeFrame);
    });
});
</script>